# Created by pyp2rpm-0.5.1
%global pypi_name openslides

Name:           %{pypi_name}
Version:        1.3
Release:        3%{?dist}
Summary:        Presentation and assembly system

License:        GPLv2+
URL:            http://pypi.python.org/pypi/openslides/1.3
Source0:        http://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-versiontools >= 1.6
BuildRequires:  python-setuptools
 
Requires:       python-django >= 1.4
Requires:       python-django-mptt
Requires:       python-reportlab
Requires:       python-imaging

%description
OpenSlides is a free web-based presentation and assembly system for
displaying and controlling of agenda, motions and elections of an assembly.
        
%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# remove unrequired lang files:
find openslides/locale -name "django*.po" -exec rm -f '{}' \;

# strip every call of /usr/bin/env from scripts
for dir in agenda assignment config motion participant poll projector utils; do
find openslides/$dir -name "*.py" -exec sed -i '/\/usr\/bin\/env/d' '{}' \;
done
sed -i '/\/usr\/bin\/env/d' openslides/__init__.py
sed -i '/\/usr\/bin\/env/d' openslides/__init__.py
sed -i '/\/usr\/bin\/env/d' openslides/global_settings.py
sed -i '/\/usr\/bin\/env/d' openslides/urls.py

sed -i 's/\/usr\/bin\/env python/\/usr\/bin\/python/' openslides/main.py
# correct perms
chmod 644 openslides/projector/static/javascript/jquery-ui-1.8.18.custom.min.js

# correct line encodings
sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%find_lang django
%find_lang djangojs
cat djangojs.lang >> django.lang

%files -f django.lang
%doc README.txt LICENSE
%{_bindir}/openslides
%dir %{python_sitelib}/%{pypi_name}
%attr(0755,root,root) %{python_sitelib}/%{pypi_name}/main.py
%{python_sitelib}/%{pypi_name}/main.py?
%{python_sitelib}/%{pypi_name}/__init__.py*
%{python_sitelib}/%{pypi_name}/global_settings.py*
%{python_sitelib}/%{pypi_name}/urls.py*
%{python_sitelib}/%{pypi_name}/agenda
%{python_sitelib}/%{pypi_name}/assignment
%{python_sitelib}/%{pypi_name}/config
%{python_sitelib}/%{pypi_name}/motion
%{python_sitelib}/%{pypi_name}/participant
%{python_sitelib}/%{pypi_name}/poll
%{python_sitelib}/%{pypi_name}/projector
%{python_sitelib}/%{pypi_name}/static
%{python_sitelib}/%{pypi_name}/templates
%{python_sitelib}/%{pypi_name}/utils
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Dec 13 2012 Matthias Runge <mrunge@redhat.com> - 1.3-3
- add python-setuptools as BuildRequirement
- correct permissions of openslides/main.py
- fix /usr/bin/env call in openslides/main.py

* Wed Dec 12 2012 Matthias Runge <mrunge@redhat.com> - 1.3-1
- Initial package.
